Skip to main content

List ASN

GET 

/api/spscommerce/:integrationInstance/asn

Get paginated list of EDI 856 Advance Ship Notices sent to trading partners.

Not yet available to API tokens

This endpoint currently requires session authentication; Personal Access Token scope support is in progress.

READ-ONLY - ASN documents cannot be edited once sent.

Query Parameters:

  • page - Page number (default: 1)
  • per_page - Items per page (default: 15)
  • status - Filter by: sent, failed
  • date_from - Filter by ship date from (YYYY-MM-DD)
  • date_to - Filter by ship date to (YYYY-MM-DD)

Response: Paginated list with ASN including:

  • id, purchase_order_id, po_number
  • shipment_id, carrier, tracking_number
  • ship_date, sent_at, status
  • Pagination metadata

Request​

Responses​

Successful response